@-webkit-keyframes loader {
  0% {
    background: #008000;
  }
  50% {
    background: #ffd700;
  }
  100% {
    background: #008000;
  }
}
@keyframes loader {
  0% {
    background: #008000;
  }
  50% {
    background: #ffd700;
  }
  100% {
    background: #008000;
  }
}

/* Inputs */
input {
  border: 1px solid rgba(0, 128, 0, 0.2);
}

.dataTables_wrapper .dataTables_filter input:focus {
  border-color: #008000;
}

/* Select2 Styles */
.select2-container--default
  .select2-results__option--highlighted[aria-selected] {
  background: #008000;
  color: #fff;
}

.select2-container--default
  .select2-selection--multiple
  .select2-selection__choice {
  background: #000000;
  color: #ffd700;
}

.select2-container--default.select2-container--focus
  .select2-selection--multiple {
  border-color: #008000;
  box-shadow: 0 0 0 0.25rem rgba(0, 128, 0, 0.25);
}

.select2-container--default
  .select2-search--dropdown
  .select2-search__field:focus {
  border-color: #008000;
}

/* Date/Time Pickers */
.daterangepicker .ranges li.active,
.daterangepicker td.active,
.daterangepicker td.active:hover {
  background: #008000;
}

.dtp > .dtp-content > .dtp-date-view > header.dtp-header {
  background: #008000;
}

.dtp .p10 > a {
  color: #008000;
}

.dtp table.dtp-picker-days tr > td > a.selected {
  background: #008000;
}

.dtp .dtp-actual-meridien a.selected {
  background: #008000;
}

.minute-hand[stroke="#8BC34A"],
.hour-hand[stroke="#8BC34A"] {
  stroke: #008000;
}

.dtp-select-minute[fill="#8BC34A"],
.dtp-select-hour[fill="#8BC34A"] {
  fill: #008000;
}

.year-picker-item:hover,
.year-picker-item.active {
  color: #008000;
}

.ui-datepicker td a.ui-state-highlight {
  background: #008000;
}

.fc-event,
.fc-event-dot {
  background-color: #008000;
}

/* Swiper */
.swiper-pagination-bullet,
.swiper-pagination-progressbar .swiper-pagination-progressbar-fill,
.swiper-pagination.swiper-pagination-vertical
  .swiper-pagination-bullet.swiper-pagination-bullet-active {
  background: #008000;
}

/* Tables */
.table-primary {
  --bs-table-bg: #000000;
  --bs-table-color: #ffd700;
}

/* Backgrounds & Text */
.bg-primary {
  background-color: #008000 !important;
}

.text-primary {
  color: #008000 !important;
}

/* Buttons */
.btn-group .btn-primary {
  border-color: #ffd700;
}

.btn.show {
  background-color: #ffd700;
  border-color: #008000;
}

.btn-primary {
  background: #008000;
  border: 1px solid #008000;
  color: #fff;
}
.btn-primary:hover {
  background: #ffd700;
  border-color: #008000;
  color: #000;
}
.btn-primary.current,
.btn-primary.active {
  background-color: #ffd700;
  border-color: #008000;
  color: #000;
}
.btn-primary:active,
.btn-primary:focus {
  background-color: #ffd700 !important;
  border-color: #008000 !important;
  box-shadow: 0 0 0 0.25rem rgba(0, 128, 0, 0.3);
}
.btn-primary:disabled,
.btn-primary.disabled {
  background: #008000;
  border-color: #008000;
}

/* Borders */
.border-primary {
  border-color: #008000 !important;
}

/* Outline Buttons */
.btn-outline-primary {
  border: 1px solid rgba(0, 128, 0, 0.2);
  color: #008000;
}
.btn-outline-primary:hover {
  background: #ffd700;
  border-color: #008000;
  color: #000;
}
.btn-outline-primary.current,
.btn-outline-primary.active {
  background-color: #ffd700;
  border-color: #008000;
  color: #000;
}
.btn-outline-primary:active,
.btn-outline-primary:focus {
  background-color: #ffd700 !important;
  border-color: #008000 !important;
  box-shadow: 0 0 0 0.25rem rgba(0, 128, 0, 0.3);
}

/* Form Controls */
.form-select:focus,
.form-control:focus {
  border-color: #008000;
  box-shadow: 0 0 0 0.25rem rgba(0, 128, 0, 0.25);
}

.form-check .form-check-input:focus {
  border-color: #008000;
  box-shadow: 0 0 0 0.25rem rgba(0, 128, 0, 0.25);
}
.form-check.form-switch .form-check-input:checked {
  background-color: #008000;
  border-color: #008000;
}

/* Tooltip */
.tooltip {
  --bs-tooltip-bg: #008000;
}

/* Progress Bars */
.progress,
.progress-stacked {
  --bs-progress-bar-bg: #008000;
}

/* Sidebar */
.sidebar-menu .help-center {
  background: #ffd700;
  color: #000;
}

.main-sidebar.horizontal-menu {
  background-color: #000000;
  color: #ffffff;
}
.main-sidebar.horizontal-menu::after {
  background: rgba(0, 0, 0, 0.7);
}

/* Dashboard */
.main-content .dashboard-top-box .right .part-icon {
  color: #ffd700;
}
.main-content .dashboard-top-box:hover .right .part-icon {
  background: #008000;
}
.main-content .dashboard-top-box .left a:hover {
  color: #ffd700;
}

/* Dropdown */
.dropdown-menu .dropdown-item:hover {
  background: #ffd700;
  color: #000;
}

/* Login */
.main-content .login-body.login-body-2 .top {
  border: 4px solid #ffd700;
}

.main-content .login-body.login-body-2 .top a {
  color: #008000;
}

/* Right Sidebar */
.right-sidebar .sidebar-title {
  background: #008000;
}
.right-sidebar .dashboard-icon:hover,
.right-sidebar .dashboard-icon.active {
  border-color: #ffd700 !important;
}

/* Light Theme */
.light-theme .main-sidebar.horizontal-menu {
  background-color: #ffd700;
  color: #000;
}
.light-theme .sidebar-link-group-title {
  background: #008000;
  color: #fff;
}
